## GstGLFramebuffer GstGLFramebuffer |

## Functions

GstGLFramebuffer * | gst_gl_framebuffer_new ()
gboolean | gst_gl_framebuffer_generate ()
void | gst_gl_framebuffer_delete ()
gboolean | gst_gl_framebuffer_use ()
gboolean | gst_gl_framebuffer_use_v2 ()

## Types and Values

struct | GstGLFramebuffer
struct | GstGLFramebufferClass

## Description

## Functions

### gst_gl_framebuffer_new ()

    GstGLFramebuffer *
    gst_gl_framebuffer_new (GstGLContext *context);

### gst_gl_framebuffer_generate ()

    gboolean
    gst_gl_framebuffer_generate (GstGLFramebuffer *frame,
                                 gint width,
                                 gint height,
                                 guint *fbo,
                                 guint *depthbuffer);

### gst_gl_framebuffer_delete ()

    void
    gst_gl_framebuffer_delete (GstGLFramebuffer *frame,
                               guint fbo,
                               guint depth);

### gst_gl_framebuffer_use ()

    gboolean
    gst_gl_framebuffer_use (GstGLFramebuffer *frame,
                            gint texture_fbo_width,
                            gint texture_fbo_height,
                            GLuint fbo,
                            GLuint depth_buffer,
                            GLuint texture_fbo,
                            GLCB cb,
                            gint input_tex_width,
                            gint input_tex_height,
                            GLuint input_tex,
                            gdouble proj_param1,
                            gdouble proj_param2,
                            gdouble proj_param3,
                            gdouble proj_param4,
                            GstGLDisplayProjection projection,
                            gpointer stuff);

### gst_gl_framebuffer_use_v2 ()

    gboolean
    gst_gl_framebuffer_use_v2 (GstGLFramebuffer *frame,
                               gint texture_fbo_width,
                               gint texture_fbo_height,
                               GLuint fbo,
                               GLuint depth_buffer,
                               GLuint texture_fbo,
                               GLCB_V2 cb,
                               gpointer stuff);

## Types and Values

### struct GstGLFramebuffer

    struct GstGLFramebuffer {
      GObject             object;
    };

### struct GstGLFramebufferClass

    struct GstGLFramebufferClass {
      GObjectClass object_class;
    };